ELS27: Адаптер имеет устаревшую прошивку

09.07.2021

В программе форскан начало появляется всплывающее окно с предупреждением:

"Адаптер имеет устаревшую прошивку. Текущая версия: 4.1.1. Рекомендуемая версия: 5.6.5. Мы строго рекомендуем обновить ее, особенно если вы планируете выполнять работы по программированию. Пожалуйста, обратитесь к поставщику адаптера за инструкциями на это обновление"

Адаптер ELS27

Кто использует программу на английском языке, это предупреждение будет выглядеть так:

"Adapter has outdated firmware. Current version: 4.1.1. Recommended version: 5.6.5. We strongly recommend to update it, especially if you plan to do a programming work. Please contact a supplier of the adapter for instructions on this update."

Adapter els27

Давайте попробуем разобраться, что это значит.

Во-первых это всего лишь предупреждение, которое исчезает после нажатия кнопки "ОК". Также это предупреждение можно отключить в настройках программы. 

На текущий момент все функции в программе Forscan стабильно работают на прошивке 4.1.1.

Вот, что написано на официальном сайте разработчика адаптера ELS27:

"На сегодняшний день самая стабильная 4.1.1. При этом существуют ещё несколько вплоть до 5.6.5. Многие из них (почти все) имеют проблему с таймингами и мы их не рекомендуем. Последняя (5.6.5) выглядит стабильной, но мы не получили обратную связь от некоторых авторов софта о стабильности прошивки с их программами. Поэтому не рекомендуем без необходимости обновляться. Не забывайте, что НИ ОДНА программа до сих пор не использует весь потенциал даже 4.1.1. Обновления прошивок исправляют некоторые специфичные баги (вы вряд ли с ними столкнётесь) и добавляют функции, которые пока никто не торопится использовать. Мы внимательно отслеживаем все изменения и если заметим среди них важные и критические, то обязательно будем настаивать на обновлении FW."

Источник сайт ELS27.ru

В предупреждении написано, что обновление нужно для работ по программированию, на на сегодняшний день (09.07.2021) программа Forscan не поддерживает программирование. Это доступно в демо версии 2.4, которая не распространяется в свободном доступе.

Если вы, несмотря на это, хотите обновить прошивку ELS27 нужно определить какая версия адаптера у вас.

Адаптер 3 версии в прозрачном белом корпусе (фото ниже) обновлять нельзя. Адаптер перейдет в режим KL и более вообще не будет работать с Forscan. Для восстановления работы потребуется откат прошивки с разбором адаптера. 

Адаптер ELS27

Если у вас адаптер 4 версии в синем непрозрачном корпусе, то прошивку можно обновить на актуальную версию.

Какие минусы в обновлении прошивки на 5.6.5:

  • программы сторонних разработчиков (Focccus, ELM config) не адаптированы к новой прошивке, работают нестабильно.

Если несмотря и на это, вы хотите обновить прошивку ELS 27, то нужно:

1. Скачать программу для обновления и прошивку на официальном сайте разработчика процессора STN2120 Scantool.net

Прошивка ELS27

2. Запустить StnFirmwareUpdater.exe

ELS27 4.1.1

3. Выбрать COM порт, скорость и нажать "Upload Firmware"

прошивка ELS27 5.6.5

Прошивка адаптера ELS27 обновлена. Предупреждения в Forscan более не будет.


Комментарии

Пока нет комментариев

Написать комментарий



Каталог

Выберите марку автомобиля,
для которого ищите оборудование:

Alfa Romeo AUDI BMW Chevrolet Citroen Crysler dacia Daewoo Dodge Fiat Ford Honda Hyundai Kia Lexus Mazda Mercedes Mitsubishi Nissan Opel Peugeot Porsche Renault Rover Saab Seat Skoda Subaru Suzuki Toyota Volkswagen  Сканер для диагностики Volvo